function [stdt1,stdt2,stdt]=Tline_process(p);
% Get params
[tstep,trise,tfall,gain,NPE,Ishot,G,nadc,bw,tau,taus,T,R,fs,ts,apjit]=params();

% Read tek files Presumably each end of the delay line
[x1,t]=readfiles(p,2); 
[x2,t]=readfiles(p,3);

tscale=1.0e+9;

% Clip to useful range
 %figure(11); plot(t,x1(1,:)); hold; plot(t,x2(1,:),'r'); title('wfm 1 from x1 and x2') %return
 figure(11); plot(t*tscale,x1(1,:)); figure(21); plot(t*tscale,x2(1,:),'r'); title('wfm 1 from x1 and x2') %return
 hold off

[min1,im]=min(x1(2,:)); % [min2,im2]=min(x2(2,:));
xx1=x1(:,im-20:im+90); 
xx2=x2(:,im-20:im+90);
 %figure(12); plot(t(1:111),xx1(1,:)); hold; plot(t(1:111),xx2(1,:),'r'); %return
 figure(12); plot(t(1:111)*tscale,xx1(1,:)); figure(22); plot(t(1:111)*tscale,xx2(1,:),'r'); %return
 hold off

% Build reference by suming up the wfm's and normalize by count
tx1=sum(xx1(:,:))/p;  tx2=sum(xx2(:,:))/p;
dx1=[tx1(2:111)-tx1(1:110) 0]; dx2=[tx2(2:111)-tx2(1:110) 0];	% contruct crude differential using 1 50ps timestep
ref1(1,:)=tx1; ref2(1,:)=tx2; ref1(2,:)=dx1; ref2(2,:)=dx2;
 %figure(13); plot(ref1(1,:)); hold; plot(ref2(1,:),'r'); %return
 figure(13); plot(ref1(1,:)); title('ref1 for wfm 1'); figure(23); plot(ref2(1,:),'r'); title('ref2 for wfm 1'); %return
 hold off
 %figure(201); plot(ref1(2,:)); hold; plot(ref2(2,:),'r'); %return
 figure(201); plot(ref1(2,:)); figure(211); plot(ref2(2,:),'r'); %return
 hold off

% Init variables for sampling_stat_mcp
snn=ones(p); t0=zeros(1,p); i01=max(abs(xx1'));i02=max(abs(xx2'));

% Run Cleland & Stern
[stda1,stdt1,mean_snn1,t1]=sampling_stat_mcp(xx1,ref1,snn,i01,t0,p);
[stda2,stdt2,mean_snn2,t2]=sampling_stat_mcp(xx2,ref2,snn,i02,t0,p);
t0(1:10)
i01(1:10)
i02(1:10)
fprintf(1,'size of t1 = %d %d\n', size(t1) );
fprintf(1,'size of t2 = %d %d\n', size(t2) );
t1(1:10);
t2(1:10);
t1(1:10)-t2(1:10);
figure(501);
hist(t1);
title('T1 time distribution');
xlabel('time (sec)')
figure(502);
hist(t2);
title('T2 time distribution');
xlabel('time (sec)')
figure(503);
hist(t1-t2)
title('Time difference distribution');
xlabel('time (sec)')

t1_mean=mean(t1)
t1_std=stdt1
t2_mean=mean(t2)
t2_std=stdt2
t1t2d_mean=mean(t1-t2)
t1t2d_std=std(t1-t2)
% Derive stdt
tt1=mean(t1)
tt2=mean(t2)
dt=tt1-tt2
fprintf(1,'Summary\n');
fprintf(1,'Tline 1 mean = %g standard deviation = %g (sec)\n', t1_mean, t1_std );
fprintf(1,'Tline 2 mean = %g standard deviation = %g (sec)\n', t2_mean, t2_std );
fprintf(1,'Tline end to end time differences mean = %g standard deviation = %g (sec)\n', t1t2d_mean, t1t2d_std );
% Colle pas !
return
